// CntrItem.h : interface of the CAdoTestCntrItem class
//

#if !defined(AFX_CNTRITEM_H__77529A0E_C4C1_11D2_A9E0_00AA005B0F08__INCLUDED_)
#define AFX_CNTRITEM_H__77529A0E_C4C1_11D2_A9E0_00AA005B0F08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CAdoTestDoc;
class CAdoTestView;

class CAdoTestCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CAdoTestCntrItem)

// Constructors
public:
	CAdoTestCntrItem(CAdoTestDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CAdoTestDoc* GetDocument()
		{ return (CAdoTestDoc*)COleClientItem::GetDocument(); }
	CAdoTestView* GetActiveView()
		{ return (CAdoTestView*)COleClientItem::GetActiveView(); }

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdoTestCntrItem)
	public:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual void OnActivate();
	protected:
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	//}}AFX_VIRTUAL

// Implementation
public:
	~CAdoTestCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CNTRITEM_H__77529A0E_C4C1_11D2_A9E0_00AA005B0F08__INCLUDED_)
